<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<script src="../js/jquery-2.0.3.min.js"></script>
		<script src="../js/jquery.mobile-1.3.1.min.js"></script>
		<link rel="stylesheet" href="../css/jquery.mobile-1.3.1.min.css">
		<script>
			var sabad=[];
			$(document).ready(function(){
				$("#mahsolat_div").html('در حال بروزرسانی محصولات');
				var tmp = (typeof kala!="undefined")?kala.loadList():'["0|kala1|500","1|kala2|300","2|kala1|500","3|kala2|300","4|kala1|500","5|kala2|300"]';
				//$("#msg_log").html(kala.getSabad());
				mahsolat = JSON.parse(tmp);
				loadMahsolat(mahsolat);
				refreshJam();
			});
			function loadMahsolat(mahsolat)
			{
				var out = '';
				var tmp;
				for(var i=0;i<mahsolat.length;i++)
				{
					tmp = mahsolat[i].split("|");
					out +="<div class='btp' style='width:100%;'  id='bt_"+tmp[0]+"' >"+tmp[1]+"<br> قیمت:"+tmp[2]+"</div>";
					//out +="<div class='btp' style='width:100%;'  id='bt_"+tmp[0]+"' >"+mahsolat[i]+"</div>";
					out +="<div style='display:none;'  id='div_"+tmp[0]+"' ><table style='width:100%;' ><tr>";
					out+="<td><button class='btt' style='width:100%;'  id='bt_dec_"+tmp[0]+"' >-</button></td>";
					out+="<td><input type='number' class='ui-input-text ui-body-c ui-corner-all ui-shadow-inset' id='inp_"+tmp[0]+"' value='1' style='width:100%;' ></td>";
					out+="<td><button class='btt' style='width:100%;'  id='bt_inc_"+tmp[0]+"' >+</button></td></tr>";
					out+="<tr><td colspan='3' ><button style='width:100%;' class='btq'  id='bt_"+tmp[0]+"_"+tmp[1]+"_"+tmp[2]+"' >افزودن به سبد</button>";
					out+="</td></tr></table></div>";
					//out+="<button class='btq'  id='bt_"+tmp[0]+"' >"+افزودن به سبد+"</button>";
				}
				$("#mahsolat_div").html(out);
				$(".btp").buttonMarkup({theme: "e"});
				$(".btp").on("tap",function(){
					var tm =this.id.split("_");
					$("#div_"+tm[1]).show();
					//Android.loadKala(parseInt(tm[1],10));
				});
				//-----------------------------------------------
				$(".btt").buttonMarkup({theme: "e"});
				$(".btt").on("tap",function(){
                                        var tm =this.id.split("_");
					var vv = parseInt($("#inp_"+tm[2]).val(),10);
					if(tm[1]=='dec')
					{
						if(vv>0 )
						{
							vv--;
							$("#inp_"+tm[2]).val(vv);
						}
					}
					else
					{
						vv++;
						$("#inp_"+tm[2]).val(vv);
					}	
                                });
				//-------------------------------------------------
				$(".btq").buttonMarkup({theme: "c"});
				$(".btq").on("click",function(){
                                        var tm =this.id.split("_");
                                        //$(this).parent().parent().parent().hide();
					var contin = true;
					for(i in sabad)
					{
						if(parseInt(sabad[i].id,10)==parseInt(tm[1],10))
						{
							sabad[i].tedad = parseInt(tm[3],10);
							contin=false;
						}
					}
					if(contin)
					{
						var tmsabad={};
						tmsabad['id'] = tm[1];
						tmsabad['tedad'] = $("#inp_"+tm[1]).val();
						tmsabad['name'] = tm[2];
						tmsabad['ghimat'] = parseInt(tm[3],10);
						sabad.push(tmsabad);
					}
					if(typeof kala!="undefined")
					{
						kala.setSabad(JSON.stringify(sabad));
						refreshJam();
						kala.toast(tm[2]+" با موفقیت به سبد اضافه شد");
					}
					$("#div_"+tm[1]).hide();
                                });
			}
			function loadKala()
			{
				var url=kala.getLink()+"android/kala.php";
				$("#mahsolat_div").html("<div align='center' ><img src='../img/status_fb.gif' ></div>");
				kala.getAjax(url,"ajaxSucceed,ajaxFailed");
			}
			function ajaxFailed(inp)
			{
				$("#msg_log").html("failed:"+inp);
			}
			function ajaxSucceed(inp)
			{
				var res= JSON.parse(inp);
				var tt;
				kala.truncate();
				for(var j=0;j<res.length;j++)
				{
					tt = kala.add(parseInt(res[j].id,10),parseInt(res[j].kala_miniGroup_id,10),res[j].name,res[j].toz,res[j].pic,parseInt(res[j].ghimat,10));
					//tt = 'tt';
					//$("#msg_log").append("add returned:<br>"+tt+"<br> id:"+res[j].id+" ghimat:"+res[j].ghimat+" <br>");
				}
				var tmp = (typeof kala!="undefined")?kala.loadList():'["0|kala1|500","1|kala2|300","2|kala1|500","3|kala2|300","4|kala1|500","5|kala2|300"]';
				//$("#msg_log").html(kala.getSabad());
				mahsolat = JSON.parse(tmp);
				loadMahsolat(mahsolat);
				
			}
			function viewSabad()
			{
				if(typeof kala!="undefined")
					kala.loadSabad();
				else
					alert('view sabad');
			}
			function refreshJam()
			{
				if(typeof kala!="undefined")
					sabad = JSON.parse(kala.getSabad());
				jam = 0;
				for(i in sabad)
					jam += parseInt(sabad[i].ghimat,10)*parseInt(sabad[i].tedad,10);
				$("#jam").html(jam);
			}
		</script>
	</head>
	<body>
		<button onclick="loadKala();" data-theme="b" >
			بروزرسانی
		</button>
		<div id="mahsolat_div" >
		</div>
		<div id="tmp_div" >
			<button data-theme="b" onclick="viewSabad();" >مشاهده سبد خرید</button>
		</div>
		<div id="msg_log" >
		</div>
		<div id="factor" class="ui-bar-a" style="position:fixed;top:0px;left:0px;"><span id="jam">0</span>Points</div>
	</body>
</html>
